From 0556d725cf82d06c84e96ce0d62c751d7dfb06e0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Sebastian=20Dr=C3=B6ge?= <sebastian@centricular.com>
Date: Thu, 19 Nov 2015 19:42:04 +0200
Subject: [PATCH] Undefine __USE_MINGW_ANSI_STDIO as otherwise stdio.h defines
 asprintf

And configure did not find it because it's an inline function in stdio.h,
not a function that is available in some library. Fixes compilation on Windows.
---
 gettext-tools/gnulib-lib/asprintf.c   | 3 +++
 gettext-tools/libgettextpo/asprintf.c | 3 +++
 2 files changed, 6 insertions(+)

diff --git a/gettext-tools/gnulib-lib/asprintf.c b/gettext-tools/gnulib-lib/asprintf.c
index 06ae3dd..60b9c10 100644
--- a/gettext-tools/gnulib-lib/asprintf.c
+++ b/gettext-tools/gnulib-lib/asprintf.c
@@ -21,6 +21,9 @@
 #ifdef IN_LIBASPRINTF
 # include "vasprintf.h"
 #else
+# ifdef __USE_MINGW_ANSI_STDIO
+#  undef __USE_MINGW_ANSI_STDIO
+# endif
 # include <stdio.h>
 #endif
 
diff --git a/gettext-tools/libgettextpo/asprintf.c b/gettext-tools/libgettextpo/asprintf.c
index 06ae3dd..60b9c10 100644
--- a/gettext-tools/libgettextpo/asprintf.c
+++ b/gettext-tools/libgettextpo/asprintf.c
@@ -21,6 +21,9 @@
 #ifdef IN_LIBASPRINTF
 # include "vasprintf.h"
 #else
+# ifdef __USE_MINGW_ANSI_STDIO
+#  undef __USE_MINGW_ANSI_STDIO
+# endif
 # include <stdio.h>
 #endif
 
-- 
2.6.2

